:root {
  --branding-color: #008ca0;
  --dark-text: #444444;
  --header-footer-color: #dee8ea;
  --subtitle-color: #ebfafd;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, sans-serif;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: var(--header-footer-color);
  color: #fff;
}

.navbar .logo {
  display: flex;
  align-items: center;
  justify-content: center;
  /* font-weight: bold; */
  /* height: 4rem; */
  width: 14rem;
}

.menu-items a {
  color: var(--branding-color);
  text-decoration: none;
  margin-left: 20px;
  font-weight: 600;
}

.menu-items a:hover {
  color: #005064;
}

.hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4rem;
  min-height: 35rem;
  background-color: #f0f0f0;
  background-image: url('../images/background_hex.svg'); 
  /* background-size: cover;  */
  background-position: right; 
  background-repeat: no-repeat;

  /* position: relative; */
}

.hero-text-container {
  height: auto; /* Adjust based on content */
  width: 100%; /* Or adjust according to your layout */
  margin-left: 5rem;
}

.hero-text {
  font-size: 2.5rem;
  height: auto;
  width: 100%;
  color: var(--dark-text);
}

.hero-text h1 {
  font-size: 2em;
  color: var(--dark-text);
}

.hero-text-container p {
  font-size: 1.4rem;
  font-weight: 600;
  color: var(--dark-text);
}

.hero-text.colored {
  color: var(--branding-color);
}

.hero-text p {
  margin: 20px 0;
}

.hero-background {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
}

.hero-text button {
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  cursor: pointer;
}

.hero-graphic-container {
  width: 30rem;
  height: 30rem;
  margin-right: 15rem;
}

.hero-graphic {
  width: 100%;
  height: 100%;
}



/* .overview, .products {
  padding: 2rem 12rem;
  text-align: center;
} */

.main-section {
  display: flex;
  flex-direction: column;
  padding: 2rem 8rem;
}

.main-section.centred {
  align-items: center;
  /* text-align: center; */
}

.main-section-subtitle {
  margin-bottom: 1rem;
  font-weight: 500;
}

.sub-section {
  display: flex;
  padding: 2rem 12rem;
  align-items: center;
  justify-content: center;
  /* text-align: center; */
}

.sub-section-text {
  color: #818792;
}

.sub-section-text.small {
  font-size: 1rem;
}

.sub-section-text.medium {
  font-size: 1.2rem;
}

.sub-section-container {
  max-width: 50rem;
  text-align: center;
}

.sub-section-container.large {
  height: 30rem;
}

.sub-section-container h2 {
  color: var(--dark-text);
}

.sub-title-section {
  display: flex;
  height: 2.2rem;
  width: 100%;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  color: var(--dark-text);
  background-color: var(--subtitle-color);
}



.product-card {
  display: inline-block;
  margin: 20px;
  padding: 20px;
  border: 1px solid #ddd;
  width: calc(33.333% - 40px);
  text-align: left;
}

footer {
  background-color: var(--header-footer-color);
  color: var(--dark-text);
  text-align: center;
  padding: 20px;
}

.section-separator-left {
  height: 1px;
  width: 50%;
  /* background-color: red; */
  background-image: linear-gradient(to right, #fff, black);
}

.section-separator-right {
  height: 1px;
  width: 50%;
  /* background-color: red; */
  background-image: linear-gradient(to right, black, #fff);
}

ul li {
  list-style: none;
  text-align: left;
}

.list-item-title {
  font-weight: 600;
  color: var(--branding-color);
}

.list-item-medium {
  margin-top: 0.4rem;
  margin-bottom: 0.4rem;  
}

.list-item {
  list-style: disc;
  color: var(--dark-text);
  margin-top: 0.4rem;
  margin-bottom: 0.4rem;  
}

.ul-centred {
  align-items: center;
}

/* .list-item {
  align-content: center;  
} */
